Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Class EnwikiDocMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
          org.apache.lucene.benchmark.byTask.feeds.LineDocMaker
              org.apache.lucene.benchmark.byTask.feeds.EnwikiDocMaker

All Implemented Interfaces:
  DocMaker

    public class EnwikiDocMaker

extends LineDocMaker

A LineDocMaker which reads the uncompressed english wikipedia dump. Config properties: keep.image.only.docs=false|true
Plus those available in LineDocMaker

See Also:
  `LineDocMaker`

Field Summary
`protected boolean` | `keepImages`

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`BODY_FIELD, BYTES_FIELD, config, DATE_FIELD, forever, ID_FIELD, indexVal, NAME_FIELD, storeVal, termVecVal, TITLE_FIELD`

Constructor Summary
`EnwikiDocMaker()`

Method Summary
`Document` | `makeDocument()` Create the next document.
`void` | `setConfig(Config config)` Set the properties

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.LineDocMaker
`getNextDocData, makeDocument, numUniqueTexts, resetInputs`

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`addBytes, addUniqueBytes, collectFiles, getByteCount, getCount, getHtmlParser, numUniqueBytes, printDocStatistics, resetUniqueBytes, setHTMLParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keepImages

    protected boolean keepImages

Constructor Detail

### EnwikiDocMaker

    public EnwikiDocMaker()

Method Detail

### setConfig

    public void setConfig(Config config)

  Description copied from interface: `DocMaker`
  Set the properties

  Specified by:
    `setConfig` in interface `DocMaker`
  Overrides:
    `setConfig` in class `LineDocMaker`

### makeDocument

    public Document makeDocument()
                          throws Exception

  Description copied from interface: `DocMaker`
  Create the next document.

  Specified by:
    `makeDocument` in interface `DocMaker`
  Overrides:
    `makeDocument` in class `LineDocMaker`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.